DescribeNatGateways
1. API Description
This API (DescribeNatGateways) is used to query the details of one or more NAT gateways.
2. Input Parameters
The following request parameter list only provides API request parameters.
vpcId
No
String
Filter by the ID of the VPC that the NAT gateway belongs to.
It can be obtained by calling DescribeVpcs.
natGatewayIds
No
Array of String
NAT gateway ID list.
The maximum number of instance IDs is 100 .
name
No
String
NAT gateway name.
status
No
String
NAT gateway state.
securityGroupId
No
String
Filter by the ID of the security group that the NAT gateway belongs to.
It can be obtained by calling DescribeSecurityGroups.
pageSize
No
Integer
Number of items in the current page result.
Default value: 20 ;
Maximum value: 1000 .
pageNum
No
Integer
Page number of the current page result.
Default value: 1 .
Default value: 1
resourceGroupId
No
String
Resource Group ID.
tagKeys
No
Array of String
Query using tag keys.
A maximum of 20 tag keys can be used.
3. Output Parameters
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
totalCount
Integer
The total number of NAT gateways that meet the filtering conditions.
4. Code Example
Query the NAT gateway list.
5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
HTTP Status Code
Error Code
Description
Last updated